DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Enumerations
tlslayer.h File Reference

type definitions and classes for TLS transport connections More...

## Classes
class | DcmTLSTransportLayer
| factory class which creates secure TLS transport layer connections and maintains the parameters common to all TLS transport connections in one application (e.g. More...

## Enumerations
enum | DcmCertificateVerification { DCV_requireCertificate , DCV_checkCertificate , DCV_ignoreCertificate }
| this enum describes how to handle X.509 certificates on a TLS based secure transport connection. More...
enum | DcmKeyFileFormat { DCF_Filetype_PEM , DCF_Filetype_ASN1 }
| this enum describes the file format of a certificate or private key file. More...

## Detailed Description

type definitions and classes for TLS transport connections

## Enumeration Type Documentation

## ◆ DcmCertificateVerification

enum DcmCertificateVerification

this enum describes how to handle X.509 certificates on a TLS based secure transport connection.

They can be ignored, validated if present or validated and demanded.

Remarks
  this enum is only available if DCMTK is compiled with OpenSSL support enabled.

Enumerator
DCV_requireCertificate | check peer certificate, fail if no certificate is present
DCV_checkCertificate | check peer certificate if present, succeed if no certificate is present
DCV_ignoreCertificate | do not check peer certificate

## ◆ DcmKeyFileFormat

enum DcmKeyFileFormat

this enum describes the file format of a certificate or private key file.

Remarks
  this enum is only available if DCMTK is compiled with OpenSSL support enabled.

Enumerator
DCF_Filetype_PEM | PEM (Privacy Enhanced Mail) format.
DCF_Filetype_ASN1 | ASN.1 (Abstract Syntax Notation One) format.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2